-- RealNight
-- Specialization for RealerNights
--
-- @author  	Danielmodding
-- @version 	v1.1
-- @date  		26/08/18
-- @history:	v1.0
-- 				v1.0 -performance improved

RealNights = {};

function RealNights:loadMap(name)
	local env = g_currentMission.environment;
	if env ~= nil then
		env.sunColorCurve = AnimCurve:new(linearInterpolator3);
		env.sunColorCurve:addKeyframe({x=0.010, y=0.010, z=0.010, time = 0*60});
		env.sunColorCurve:addKeyframe({x=0.010, y=0.010, z=0.010, time = 4*60});
		env.sunColorCurve:addKeyframe({x=0.050, y=0.050, z=0.050, time = 5*60});
		env.sunColorCurve:addKeyframe({x=0.350, y=0.225, z=0.225, time = 6*60});
		env.sunColorCurve:addKeyframe({x=1.100, y=0.850, z=0.600, time = 7*60});
		env.sunColorCurve:addKeyframe({x=0.750, y=0.750, z=0.750, time = 9*60});
		env.sunColorCurve:addKeyframe({x=0.750, y=0.750, z=0.750, time = 17*60});
		env.sunColorCurve:addKeyframe({x=0.750, y=0.700, z=0.650, time = 18*60});
		env.sunColorCurve:addKeyframe({x=1.000, y=0.900, z=0.300, time = 19*60});
		env.sunColorCurve:addKeyframe({x=0.900, y=0.400, z=0.100, time = 20*60});
		env.sunColorCurve:addKeyframe({x=0.075, y=0.060, z=0.060, time = 20.75*60});
		env.sunColorCurve:addKeyframe({x=0.030, y=0.025, z=0.025, time = 21.25*60}); 
		env.sunColorCurve:addKeyframe({x=0.010, y=0.010, z=0.010, time = 24*60});

		env.ambientCurve = AnimCurve:new(linearInterpolator3);
		env.ambientCurve:addKeyframe({x=0.000, y=0.000, z=0.000, time = 0*60});
		env.ambientCurve:addKeyframe({x=0.000, y=0.000, z=0.000, time = 5*60});
		env.ambientCurve:addKeyframe({x=0.400, y=0.400, z=0.400, time = 8.5*60});
		env.ambientCurve:addKeyframe({x=0.500, y=0.500, z=0.500, time = 11*60});
		env.ambientCurve:addKeyframe({x=0.650, y=0.650, z=0.650, time = 12*60});
		env.ambientCurve:addKeyframe({x=0.500, y=0.500, z=0.500, time = 18*60});
		env.ambientCurve:addKeyframe({x=0.000, y=0.000, z=0.000, time = 22*60});
		env.ambientCurve:addKeyframe({x=0.000, y=0.000, z=0.000, time = 23.95*60});

		env.skyCurve = AnimCurve:new(linearInterpolator4);
		env.skyCurve:addKeyframe({x= 0.0, y = 0.0, z = 0.1, w = 0.0, time = 0*60})
		env.skyCurve:addKeyframe({x= 0.0, y = 0.0, z = 0.1, w = 0.0, time = 5.5*60})
		env.skyCurve:addKeyframe({x= 0.0, y = 0.0, z = 0.25, w = 0.5, time = 7*60})
		env.skyCurve:addKeyframe({x= 0.0, y = 0.0, z = 0.0, w = 1.0, time = 7.75*60})
		env.skyCurve:addKeyframe({x= 0.5, y = 0.0, z = 0.0, w = 0.5, time = 8.25*60})
		env.skyCurve:addKeyframe({x= 1.0, y = 0.0, z = 0.0, w = 0.0, time = 9*60})
		env.skyCurve:addKeyframe({x= 1.0, y = 0.0, z = 0.0, w = 0.0, time = 17*60})
		env.skyCurve:addKeyframe({x= 0.0, y = 1.0, z = 0.0, w = 0.0, time = 19*60})
		env.skyCurve:addKeyframe({x= 0.0, y = 1.0, z = 0.0, w = 0.0, time = 20*60})
		env.skyCurve:addKeyframe({x= 0.0, y = 0.2, z = 0.5, w = 0.0, time = 21*60})
		env.skyCurve:addKeyframe({x= 0.0, y = 0.0, z = 0.1, w = 0.0, time = 22*60})
		env.skyCurve:addKeyframe({x= 0.0, y = 0.0, z = 0.1, w = 0.0, time = 24*60})

		env.sunRotCurve = AnimCurve:new(linearInterpolator1);
		env.sunRotCurve:addKeyframe({v=Utils.degToRad(-15), time = 0*60});
		env.sunRotCurve:addKeyframe({v=Utils.degToRad(0), time = 1*60});
		env.sunRotCurve:addKeyframe({v=Utils.degToRad(45), time = 2*60});
		env.sunRotCurve:addKeyframe({v=Utils.degToRad(-70), time = 4*60});
		env.sunRotCurve:addKeyframe({v=Utils.degToRad(0), time = 12*60});
		env.sunRotCurve:addKeyframe({v=Utils.degToRad(70), time = 21*60});
		env.sunRotCurve:addKeyframe({v=Utils.degToRad(0), time = 23*60});
		env.sunRotCurve:addKeyframe({v=Utils.degToRad(-35), time = 23.5*60});
		env.sunRotCurve:addKeyframe({v=Utils.degToRad(-15), time = 24*60});
	end;
end;

function RealNights:deleteMap()
end;

function RealNights:mouseEvent(posX, posY, isDown, isUp, button)
end;

function RealNights:keyEvent(unicode, sym, modifier, isDown)
end;

function RealNights:update(dt)
end;

function RealNights:draw()
end;

addModEventListener(RealNights);
